#keep level 0 fight #2
from eventAPI import *
from APIUtils import *

rtKeep0Flag2=0

def fireEvent(e):
   global rtKeep0Flag2
   rtKeep0Flag2 = getTag(e, "rtKeep0Flag2")
   if (rtKeep0Flag2 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep0Flag2 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Warrior Wight", 4, 2, 10), ("Urghoul", 4, 2, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep0Flag2
   rtKeep0Flag2 = 1
   setTag(e, "rtKeep0Flag2", rtKeep0Flag2)
